#------------------------------------------------------------------------------
#-- Copyright (C) 2020 Hottinger Bruel & Kjaer Benelux B.V.
#-- Schutweg 15a
#-- 5145 NP Waalwijk
#-- The Netherlands
#-- http://www.hbm.com
#-- All rights reserved
#--
#-- The copyright to the computer program(s) herein is the property of
#-- Hottinger Bruel & Kjaer Benelux B.V. , Netherlands. The code/program(s)
#-- may be used and/or copied only with the written permission of Hottinger Bruel & Kjaer Benelux B.V.
#-- or in accordance with the terms and conditions stipulated in the
#-- agreement/contract under which the program(s) have been supplied.
#-- This copyright notice must not be removed.
#--
#-- This Source Code is subject to the
#-- "General supply and license conditions for software"
#-- which is part of the standard terms and conditions of sale from HBM.
#------------------------------------------------------------------------------

#------------------------------------------------------------------------------
#-- HBM Added Modules
#------------------------------------------------------------------------------

define KernelPackage/can-peak-pciefd
  DEPENDS:=@TARGET_hbm @PCI_SUPPORT
  TITLE:=PEAK-System PCAN-PCIe FD cards
  KCONFIG:=CONFIG_CAN_PEAK_PCIEFD
  FILES:=$(LINUX_DIR)/drivers/net/can/peak_canfd/peak_pciefd.ko
  AUTOLOAD:=$(call AutoLoad,72,peak_pciefd)
  $(call AddDepends/can)
endef

define KernelPackage/can-peak-pciefd/description
 This driver adds support for the PEAK-System PCI Express FD
 CAN-FD cards family.
endef

$(eval $(call KernelPackage,can-peak-pciefd))

define KernelPackage/pcspkr
  DEPENDS:=@TARGET_hbm +kmod-input-core
  TITLE:=PC speaker support
  KCONFIG:= \
	CONFIG_SND_PCSP
  FILES:= \
	$(LINUX_DIR)/sound/drivers/pcsp/snd-pcsp.ko
  AUTOLOAD:=$(call AutoLoad,50,snd-pcsp)
  $(call AddDepends/sound)
endef

define KernelPackage/pcspkr/description
 This enables sounds (tones) through the pc speaker
endef

$(eval $(call KernelPackage,pcspkr))

define KernelPackage/sound-hda-intel
  SUBMENU:=$(SOUND_MENU)
  TITLE:=HD Audio Intel Driver
  DEPENDS:=@TARGET_hbm
  KCONFIG:= \
	CONFIG_SOUND_PCI \
	CONFIG_SND_HDA_INTEL
  FILES:= \
	$(LINUX_DIR)/sound/pci/hda/snd-hda-intel.ko \
	$(LINUX_DIR)/sound/hda/snd-intel-nhlt.ko@lt5.5 \
	$(LINUX_DIR)/sound/hda/snd-intel-dspcfg.ko@ge5.5
  AUTOLOAD:=$(call AutoProbe,snd-hda-intel)
  $(call AddDepends/sound,kmod-sound-hda-core)
endef

define KernelPackage/sound-hda-intel/description
 Kernel modules for HD Audio Intel driver support
endef

$(eval $(call KernelPackage,sound-hda-intel))
